Convert Lines into room Seperator


Hello,

I still stay in the same topic, but in a different way.
Convert_ines.dyn (7.9 KB)

First i Want just to convert my modellines into detaillines. The script complanes about a string that it is not here. How should i continue.

the python script doesn`t find CurveArray = ModelCurveArray

KR

Andreas

Hi,
change to:

ModelLines=UnwrapElement(IN[0])
CurrentView=UnwrapElement(IN[1])


import Autodesk
CurveArray = ModelCurveArray()
[CurveArray.Append(i) for i in ModelLines]

TransactionManager.Instance.EnsureInTransaction(doc)
DetailLines = Autodesk.Revit.DB.Document.ConvertModelToDetailCurves(doc,CurrentView,CurveArray)

TransactionManager.Instance.TransactionTaskDone()
1 Like

Thank you thats a small step forwart! I will start a new topic: